Jump to content



Photo

Windows Live Essentials 2012 is out. But should you install it?

poll windows 7 windows 8

  • This topic is locked This topic is locked
131 replies to this topic

Poll: Will you upgrade to Windows Live Essentials 2011 or 2012? (178 member(s) have cast votes)

Are you still using Windows Live Essentials 2009?

You cannot see the results of the poll until you have voted. Please login and cast your vote to see the results of this poll.

What do you think of the forced upgrade by Microsoft to WLE 2011 version?

You cannot see the results of the poll until you have voted. Please login and cast your vote to see the results of this poll.

Will you install Windows Live Essentials 2012?

You cannot see the results of the poll until you have voted. Please login and cast your vote to see the results of this poll.
Vote

#61 OP Andrea Borman

Andrea Borman

    Neowinian

  • 408 posts
  • Joined: 07-October 11
  • Location: England

Posted 11 August 2012 - 20:29

devHead wrote-

Andrea Borman, you need to stop posting threads about how much you hate everything that's been released by Microsoft since the beginning of the 21st Century. If you don't want to install any of it and want your operating system to look like some puked up version of Windows XP or Windows 2000, that is your personal choice and you're free to do it. But no one else, save for perhaps a few other equally misguided individuals like yourself thinks these new programs and updates are bad the same way you do. I mean, look at how you have your UI looking. Do you really expect people to take you seriously? Notice the way the voting is going on your silly poll you have up there. Most do not share your opinion and hatred of these updated Microsoft products. That is all.


Read the Microsoft Answers Forum on this thread here 32 pages long. And you will see exactly how many people feel about Windows Live Essentials 2011 version.
Here-http://answers.micro...74-52505bbbf290

They don't like WLE 2011 version. And neither do I. That's why we stay with WLE 2009 version.

And Microsoft may have released WLE 2012 version. But nobody will upgrade to it. That's all. I and most people are staying with WLE 2009 version. Andrea Borman.


#62 KRazpopov

KRazpopov

    Neowinian

  • 486 posts
  • Joined: 27-April 10
  • Location: Sofia, Bulgaria
  • OS: Windows 8 Pro
  • Phone: Samsung Omnia 7

Posted 11 August 2012 - 20:31

I just checked out this persons website; those videos are kind of disturbing and what is with the terrorist stuff?

I think she has some kind of mental disorder and needs professional help.

Can we close this thread?

I made the mistake of trying to reason with her in the comments of her "Why are forums being so difficult-part 1" video, specifically her views towards neowin. The reply almost seems as if she didn't read the damned comment. There's just no hope, i tell ya.

I really shouldn't have sat through all three of those videos as well.

And Microsoft may have released WLE 2012 version. But nobody will upgrade to it. That's all. I and most people are staying with WLE 2009 version. Andrea Borman.

Well, I guess I'm nobody then.

#63 Farchord

Farchord

    Life is but a sum of your achievements

  • 1,641 posts
  • Joined: 06-November 01
  • Location: Shawinigan, Quebec, Canada
  • Phone: iPhone 5

Posted 11 August 2012 - 20:35

Read the Microsoft Answers Forum on this thread here 32 pages long. And you will see exactly how many people feel about Windows Live Essentials 2011 version.
Here-http://answers.micro...74-52505bbbf290

They don't like WLE 2011 version. And neither do I. That's why we stay with WLE 2009 version.

And Microsoft may have released WLE 2012 version. But nobody will upgrade to it. That's all. I and most people are staying with WLE 2009 version. Andrea Borman.


Ever heard of Linux?

#64 +Martog

Martog

    Snow Leopard Extraodinaire

  • 3,427 posts
  • Joined: 14-August 01

Posted 11 August 2012 - 20:46

Well it is the wrong timing. This month there have been hundreds of complaints from people about the mandatory July update. To the much hated WLE 2011 version. Now Microsoft go and make an even worse version WLE 2012.

Please tell me this is just a joke what Microsoft are doing. Releasing this WLE 2012 version. Andrea Borman.


Wait, hundreds? HUNDREDS? STOP THE SOFTWARE DEVELOPMENT RIGHT AWAY. Because hundreds out of millions are the majoirty, right?

#65 Nune Journalist Journalist

Nune Journalist Journalist

    Resident One Post Wonder

  • 1 posts
  • Joined: 11-August 12

Posted 11 August 2012 - 20:49

Actually i've tried it, but then removed:)) It just made my notebook work slower....

#66 +devHead

devHead

    Get Off The Bandwagon, Put Down The Handbook

  • 2,663 posts
  • Joined: 08-August 01
  • Location: Arizona... Among The Trees
  • OS: Windows 8.1 Pro
  • Phone: Nokia Lumia 521

Posted 11 August 2012 - 21:00

Read the Microsoft Answers Forum on this thread here 32 pages long. And you will see exactly how many people feel about Windows Live Essentials 2011 version.
Here-http://answers.micro...74-52505bbbf290

They don't like WLE 2011 version. And neither do I. That's why we stay with WLE 2009 version.

And Microsoft may have released WLE 2012 version. But nobody will upgrade to it. That's all. I and most people are staying with WLE 2009 version. Andrea Borman.

You are wrong. Nearly everybody will upgrade to it. I did, and if you would even bother to look at the poll you created, most everyone here is upgrading and thinks it's a good product. So please stop deluding yourself and posting incorrect information. Most people are not staying with WLE 2009 either. Again, you're wrong. You have no data or anything to back up anything you ever post. It's just your deluded opinions. So stop saying using phrases which include the words "everybody" and "nobody" and "most people". You don't know what you're talking about. Ever.

#67 +Boo Berry

Boo Berry

    Neowinian Ghost

  • 3,469 posts
  • Joined: 26-March 05
  • Location: United States

Posted 11 August 2012 - 21:02

I'd like to know where the hell she gets her statistics stating that 'we' are still using WLE 2009 and 'nobody' is using WLE 2011 or 2012. Oh that's right, thin air, sorry...

#68 +Martog

Martog

    Snow Leopard Extraodinaire

  • 3,427 posts
  • Joined: 14-August 01

Posted 11 August 2012 - 21:05

I'd like to know where the hell she gets here statistics stating that 'we' are still using WLE 2009 and 'nobody' is using WLE 2011 or 2012. Oh that's right, thin air, sorry...


She gets it from anothe forum that is 31 pages long, that is her source, of the hundreds of people that are complaing. A very far cry from the majority of users of WLE. She is part of a minority of people complaing about WLE above 2009.

For the record, I upgraded the same day it came out. Been using 2011 since it came out as well.

#69 +Boo Berry

Boo Berry

    Neowinian Ghost

  • 3,469 posts
  • Joined: 26-March 05
  • Location: United States

Posted 11 August 2012 - 21:08

No kidding, that's way less than 1% of users. Where's the thread about the people whom actually like and use it? Anyways...

Posted Image

#70 Xilo

Xilo

    Neowinian Senior

  • 5,311 posts
  • Joined: 28-May 04
  • Location: Austin, TX

Posted 11 August 2012 - 21:18

I liked WLE 2011 and like 2012 just the same.

#71 +Boo Berry

Boo Berry

    Neowinian Ghost

  • 3,469 posts
  • Joined: 26-March 05
  • Location: United States

Posted 11 August 2012 - 21:19

A little correction that needs pointed out, it's called Microsoft Essentials 2012 not Windows Live Essentials 2012. They've dropped the Live branding.

#72 OP Andrea Borman

Andrea Borman

    Neowinian

  • 408 posts
  • Joined: 07-October 11
  • Location: England

Posted 11 August 2012 - 21:22

The problem is that we like a software and get used to it. And then when they make a new version of the software,it is completely different from the old version.

For example,I stopped using Firefox after they stopped making Firefox 3.6. Because Firefox 4 and above version are not the same as Firefox 3.6

So now I use Pale Moon 3.6 which is the same as Firefox 3.6 and updated regular.

It's the same problem with WLE.WLE 2011 and WLE 2012 is so different from WLE 2009 version that some people don't want to use it.

I don't mind updating my software. But not to a version that is not like the old version. Microsoft should have just made WLE 2011 and 2012 the same as WLE 2009 and previous versions. Not like it is now. Andrea Borman.

#73 Xilo

Xilo

    Neowinian Senior

  • 5,311 posts
  • Joined: 28-May 04
  • Location: Austin, TX

Posted 11 August 2012 - 21:25

The problem is that we like a software and get used to it. And then when they make a new version of the software,it is completely different from the old version.

For example,I stopped using Firefox after they stopped making Firefox 3.6. Because Firefox 4 and above version are not the same as Firefox 3.6

So now I use Pale Moon 3.6 which is the same as Firefox 3.6 and updated regular.

It's the same problem with WLE.WLE 2011 and WLE 2012 is so different from WLE 2009 version that some people don't want to use it.

I don't mind updating my software. But not to a version that is not like the old version. Microsoft should have just made WLE 2011 and 2012 the same as WLE 2009 and previous versions. Not like it is now. Andrea Borman.

People like you are what stops progress. Grow up and learn to embrace change instead of being a hard-headed old fool stuck in your own ways.

I'm not saying accept all change, but your resistance to change is just appalling.

#74 Dot Matrix

Dot Matrix

    Neowinian Senior

  • 10,208 posts
  • Joined: 14-November 11
  • Location: Upstate New York
  • OS: Windows 8.1
  • Phone: Nokia Lumia 920

Posted 11 August 2012 - 21:27

- Snipped BS -


Grow up. If you want to use computers, you're gonna have to learn to deal. You're never going to progress without it.

#75 +Boo Berry

Boo Berry

    Neowinian Ghost

  • 3,469 posts
  • Joined: 26-March 05
  • Location: United States

Posted 11 August 2012 - 21:27

Enjoy your dinosaur hardware and software then while the rest of the world moves forward...

Also, you probably shouldn't use Windows 8 or 7 for that matter. Perhaps an 'upgrade' to Windows XP is in your future? ;)